aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--unstable/luasocket/APKBUILD22
1 files changed, 22 insertions, 0 deletions
diff --git a/unstable/luasocket/APKBUILD b/unstable/luasocket/APKBUILD
new file mode 100644
index 0000000000..c42a6229fd
--- /dev/null
+++ b/unstable/luasocket/APKBUILD
@@ -0,0 +1,22 @@
+# Contributor: Mika Havela <mika.havela@gmail.com>
+# Maintainer: Mika Havela <mika.havela@gmail.com>
+pkgname=luasocket
+pkgver=2.0.2
+pkgrel=0
+pkgdesc="Luasocket is the most comprehensive networking support library for the Lua language."
+url="http://luaforge.net/projects/luasocket/"
+license="MIT"
+depends="lua"
+makedepends="lua-dev"
+install=
+source="http://luaforge.net/frs/download.php/2664/$pkgname-$pkgver.tar.gz"
+
+build() {
+ cd "$srcdir/$pkgname-$pkgver"
+
+ make || return 1
+ make INSTALL_TOP_SHARE="$pkgdir/usr/share/lua/5.1" INSTALL_TOP_LIB="$pkgdir/usr/lib/lua/5.1" install
+
+}
+
+md5sums="41445b138deb7bcfe97bff957503da8e luasocket-2.0.2.tar.gz"